classification
Title: python3.2 reversal of distutils reintrocud macos9 support
Type: behavior Stage: resolved
Components: Distutils, macOS Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: benjamin.peterson, eric.araujo, loewis, ronaldoussoren, tarek
Priority: normal Keywords:

Created on 2010-08-04 13:07 by ronaldoussoren, last changed 2010-11-30 06:32 by eric.araujo. This issue is now closed.

Messages (5)
msg112797 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-08-04 13:06
Distutils in the py3k trunk was reverted to the version in the 31-maint branch a couple of weeks back.

This reintroduced some macos9 support code that was removed in the trunk but not the maint branches.

All code reverting to sys.platform == 'mac' should be removed again.
msg120585 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-06 06:19
Fixed in r86248, thanks.  BTW, my commit removes a bit more than yours originally did.

In 2.7, the unused distutils.sysconfig._init_mac function is still left over.  I don’t know if killing dead code is acceptable in a stable version.  Benjamin?
msg120613 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-11-06 13:36
Fine.

2010/11/6 Éric Araujo <report@bugs.python.org>:
>
> Éric Araujo <merwok@netwok.org> added the comment:
>
> Fixed in r86248, thanks.  BTW, my commit removes a bit more than yours originally did.
>
> In 2.7, the unused distutils.sysconfig._init_mac function is still left over.  I don’t know if killing dead code is acceptable in a stable version.  Benjamin?
>
> ----------
> assignee: tarek -> eric.araujo
> nosy: +benjamin.peterson, eric.araujo
> resolution:  -> fixed
> stage:  -> committed/rejected
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue9508>
> _______________________________________
>
msg120615 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-06 14:17
Thanks for the reply.  r86264.
msg122887 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-30 06:32
On python-dev, Martin commented that if it was unnecessary to remove an unused function in 2.7, then I shouldn’t have done it.  I agreed, planned to revert that removal, however unlikely it was that someone depended on it, and then I couldn’t make up my mind in the middle of diverging opinions that followed.  I missed the 3.1.3 release deadline, so the change is out there now.  I’m going to leave 2.7 as it is, and at the first complaint about broken third-party code I’ll revert the removal.
History
Date User Action Args
2010-11-30 06:32:02eric.araujosetnosy: + loewis
messages: + msg122887
2010-11-06 14:17:40eric.araujosetmessages: + msg120615
2010-11-06 13:36:07benjamin.petersonsetmessages: + msg120613
2010-11-06 06:19:48eric.araujosetstatus: open -> closed

assignee: tarek -> eric.araujo

nosy: + eric.araujo, benjamin.peterson
messages: + msg120585
resolution: fixed
stage: resolved
2010-08-04 13:07:00ronaldoussorencreate